id: cockpit-project-panel

info:
  name: Cockpit Project Login Panel - Detect
  author: righettod
  severity: info
  description: |
    Cockpit Project products was detected.
  reference:
    - https://github.com/cockpit-project/cockpit
    - https://cockpit-project.org/
  metadata:
    max-request: 1
    verified: true
    shodan-query: http.html:"cockpit/static/login.css"
  tags: panel,cockpit,login

http:
  - method: GET
    path:
      - "{{BaseURL}}/"

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_all(to_lower(body), "cockpit/", "is_cockpit_client")'
        condition: and

    extractors:
      - type: regex
        part: body
        name: os
        group: 1
        regex:
          - '(?i)"PRETTY_NAME"\s*:\s*"(.*?)"'
        internal: true

      - type: regex
        part: body
        name: hostname
        group: 1
        regex:
          - '(?i)"hostname"\s*:\s*"(.*?)"'
        internal: true

      - type: dsl
        dsl:
          - '"OS: " + os + " | Hostname: " + hostname'
# digest: 4a0a0047304502201498a44ee1ef586f78d751ef5613b56834ba01cc24787dd98d9b8dd44fa609a9022100e2471872f4f355c398f7ee692a99a3b58ccd297da8a5a9aabc79dca8c126b7d7:922c64590222798bb761d5b6d8e72950